Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
View this page
Toggle table of contents sidebar

# ChatBoostUpdated

Added in version 20.8.

class telegram.ChatBoostUpdated(chat, boost, *, api_kwargs=None)

  Bases: `telegram.TelegramObject`

  This object represents a boost added to a chat or changed.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if their `chat`, and `boost` are equal.

  Available In

  `telegram.Update.chat_boost`

  Added in version 20.8.

  Parameters:

    - chat (`telegram.Chat`) – Chat which was boosted.

    - boost (`telegram.ChatBoost`) – Information about the chat boost.

  chat

    Chat which was boosted.

    Type:

      `telegram.Chat`

  boost

    Information about the chat boost.

    Type:

      `telegram.ChatBoost`

  classmethod de_json(data, bot=None)

    See `telegram.TelegramObject.de_json()`.